Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.lib.sql
Class Column

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.lib.sql.StreamableNode
                  |
                  +--org.apache.xalan.lib.sql.Column

public class Column
extends StreamableNode

Represents a col node from a row node.

Constructor Summary
`Column(XStatement statement, Row parent, int columnIndex, java.sql.ResultSetMetaData metadata)`

Method Summary
`NamedNodeMap` | `getAttributes()` Return the metadata for this column.
`Node` | `getFirstChild()` Return the col text node (the column value).
`Node` | `getNextSibling()` Return the next col element for the current row.
`java.lang.String` | `getNodeName()` Return "col".
`Document` | `getOwnerDocument()` The parent of col is #Document (represented by XStatement).
`Node` | `getParentNode()` The parent node of col is a row.
`boolean` | `hasChildNodes()` Tell if there are any children of col, which is always true.

Methods inherited from class org.apache.xalan.lib.sql.StreamableNode
`getLength, getLocalName, getNamedItem, getNamedItemNS, getNamespaceURI, getNodeTest, getNodeType, getPrefix, getUid, getXStatement, item, removeNamedItem, removeNamedItemNS, setNamedItem, setNamedItemNS, setNodeTest, supports`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendChild, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLastChild, getNodeValue, getOwnerElement, getPreviousSibling, getSpecified, getTagName, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Column

    public Column(XStatement statement,
                  Row parent,
                  int columnIndex,
                  java.sql.ResultSetMetaData metadata)

Method Detail

### getOwnerDocument

    public Document getOwnerDocument()

  The parent of col is #Document (represented by XStatement).
  Overrides:
    getOwnerDocument in class StreamableNode

### getNodeName

    public java.lang.String getNodeName()

  Return "col".
  Overrides:
    getNodeName in class UnImplNode

### getFirstChild

    public Node getFirstChild()

  Return the col text node (the column value).
  Overrides:
    getFirstChild in class UnImplNode

### getNextSibling

    public Node getNextSibling()

  Return the next col element for the current row.
  Returns:
    a Column node or null.
  Overrides:
    getNextSibling in class UnImplNode

### getParentNode

    public Node getParentNode()

  The parent node of col is a row.
  Overrides:
    getParentNode in class UnImplNode

### hasChildNodes

    public boolean hasChildNodes()

  Tell if there are any children of col, which is always true. I.e., col contains a text node with a textual representation of the column value.
  Overrides:
    hasChildNodes in class UnImplNode

### getAttributes

    public NamedNodeMap getAttributes()

  Return the metadata for this column.
  Overrides:
    getAttributes in class StreamableNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.